> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Updates brand for an existing workspace

PUT https://api-d.docusign.com/v1/accounts/{accountId}/workspaces/{workspaceId}/brand
Content-Type: application/json

**Note:** This endpoint is in beta.

This operation updates brand for a specific workspace. It returns the brand details such as its unique identifier (ID), name, and metadata such as brand colors and logos.

Reference: https://developers.docusign.com/docs/workspaces-api/reference/workspaces/workspacebrands/updateworkspacebrand

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account
- `workspaceId` (string, required) — The ID of the workspace

### Body (application/json)

This endpoint expects an UpdateWorkspaceBrandBody.

- `brand_id` (string, optional, nullable) — A GUID value that identifies a brand. For more information, see [Branding](/docs/esign-rest-api/esign101/concepts/branding/)

## Response

### 200

Workspace brand successfully updated

- `colors` (list of BrandColor, required, nullable)
- `brand_languages` (list of string, required, nullable)
- `brand_id` (string, optional, nullable)
- `brand_name` (string, optional, nullable)
- `brand_company` (string, optional, nullable)
- `logos` (BrandLogos, optional)
- `default_brand_language` (string, optional, nullable)
- `is_sending_default` (boolean, optional)
- `is_signing_default` (boolean, optional)
- `primary_logo_id` (string, optional, nullable)
- `secondary_logo_id` (string, optional, nullable)
- `email_logo_id` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 401 Unauthorized Error

Not authorized to make this request

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

## Types

### BrandColor

- `name` (string, optional, nullable)
- `value` (string, optional, nullable)

### BrandLogos

- `primary` (string, optional, nullable)
- `secondary` (string, optional, nullable)
- `email` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "colors": [
    {
      "name": "headerBackground",
      "value": "ffffff"
    },
    {
      "name": "headerText",
      "value": "ffffff"
    },
    {
      "name": "buttonPrimaryBackground",
      "value": "ffffff"
    },
    {
      "name": "buttonPrimaryText",
      "value": "ffffff"
    }
  ],
  "brand_languages": [
    "ar",
    "bg",
    "cs",
    "da",
    "de",
    "el",
    "en",
    "en_GB",
    "es",
    "es_MX",
    "et",
    "fa",
    "fi",
    "fr",
    "fr_CA",
    "he",
    "hi",
    "hr",
    "hu",
    "id",
    "it",
    "ja",
    "ko",
    "lt",
    "lv",
    "ms",
    "nl",
    "no",
    "pl",
    "pt",
    "pt_BR",
    "ro",
    "ru",
    "sk",
    "sl",
    "sr",
    "sv",
    "th",
    "tr",
    "uk",
    "vi",
    "zh_CN",
    "zh_TW",
    "hy"
  ],
  "brand_id": "21d17b0c-59bc-4879-9643-92d68bd9f8f6",
  "brand_name": "Test brand name",
  "brand_company": null,
  "logos": {
    "primary": "/brand/21d17b0c-59bc-4879-9643-92d68bd9f8f6/logos/primary",
    "secondary": "/brand/21d17b0c-59bc-4879-9643-92d68bd9f8f6/logos/secondary",
    "email": "/brand/21d17b0c-59bc-4879-9643-92d68bd9f8f6/logos/email"
  },
  "default_brand_language": null,
  "is_sending_default": false,
  "is_signing_default": false,
  "primary_logo_id": null,
  "secondary_logo_id": null,
  "email_logo_id": null
}
```